| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
cv::cudev::Texture< T, R > Class Template Reference
CUDA-accelerated Computer Vision » Device layer

sharable smart CUDA texture object More...

`#include <opencv2/cudev/ptr2d/texture.hpp>`

Collaboration diagram for cv::cudev::Texture< T, R >:

## Public Member Functions
| Texture ()=default
__host__ | Texture (const int rows_, const int cols_, T *data, const size_t step, const bool normalizedCoords=false, const cudaTextureFilterMode filterMode=cudaFilterModePoint, const cudaTextureAddressMode addressMode=cudaAddressModeClamp, const cudaTextureReadMode readMode=cudaReadModeElementType)
__host__ | Texture (const size_t sizeInBytes, T *data, const bool normalizedCoords=false, const cudaTextureFilterMode filterMode=cudaFilterModePoint, const cudaTextureAddressMode addressMode=cudaAddressModeClamp, const cudaTextureReadMode readMode=cudaReadModeElementType)
| Texture (const Texture &)=default
__host__ | Texture (PtrStepSz< T > src, const bool normalizedCoords=false, const cudaTextureFilterMode filterMode=cudaFilterModePoint, const cudaTextureAddressMode addressMode=cudaAddressModeClamp, const cudaTextureReadMode readMode=cudaReadModeElementType)
| Texture (Texture &&)=default
__host__ | operator bool () const noexcept
__host__ | operator TexturePtr< T, R > () const
Texture & | operator= (const Texture &)=default
Texture & | operator= (Texture &&)=default

## Public Attributes
int | cols = 0
int | rows = 0

## Protected Attributes
std::shared_ptr< UniqueTexture< T, R > > | texture = 0

## Detailed Description

template<class T, class R = T>
class cv::cudev::Texture< T, R >

sharable smart CUDA texture object

Texture is a smart sharable wrapper for a cudaTextureObject_t handle which ensures that the handle is destroyed after use.

The documentation for this class was generated from the following file:

- opencv2/cudev/ptr2d/texture.hpp